This project contains data in support of the paper "Deep learning of representations for transcriptomics-based phenotype prediction" by Aaron M. Smith et. al.

Specifically, data used to train the unsupervised and supervised models reported in the paper are stored here.  This data comes from multiple sources:
- All gene expression data was obtained by processing data from the recount2 database.  Any publications resulting from the use of this data should cite the above paper and the relevant recount publications:
   + Frazee, A. C., Langmead, B. & Leek, J. T. ReCount: A multi-experiment resource of analysis-ready RNA-seq gene count datasets. BMC Bioinformatics 12, 449 (2011).
   + Collado-Torres, L. et al. Reproducible RNA-seq analysis using recount2. Nat. Biotechnol. 35, 319–321 (2017).
   + Lachmann, A. et al. Massive mining of publicly available RNA-seq data from human and mouse. Nat. Commun. 9, 1366 (2018).
   + Ellis, S. E., Collado-Torres, L., Jaffe, A. & Leek, J. T. Improving the value of public RNA-seq expression data by phenotype prediction. Nucleic Acids Res. 46, e54–e54 (2018).
- Phenotype labels were obtained from multiple sources, specifically individual GEO studies and metadata from TCGA.  Publications using metadata included here from individual GEO studies should cite the publications listed on GEO for those studies.  Phenotype labels for TCGA classification tasks were obtained from metadata provided from recount2; publications using these data should cite the recount publications listed above.  Phenotype labels for TCGA survival tasks were obtained from the TCGA Pan-Cancer Clinical Data Resource, and publications using these data should cite the relevant publication:
   + Liu, J. et al. An Integrated TCGA Pan-Cancer Clinical Data Resource to Drive High-Quality Survival Outcome Analytics. Cell 173, 400-416.e11 (2018).

The recount2 database is released under the CC-BY-4.0 license.  A copy of the license is included with the data released here.

The gene expression data provided is ready for machine learning and analysis.  That is, it includes all gene set and normalization combinations used in the paper.  This means there are 3 gene sets (all, O, and OT), and 4 normalizations (tpm, clr, z-score, and z-ternary).  Refer to the paper for details on how these gene sets and normalizations are defined.

The data are stored in pandas' HDFStore format (.h5 files).  See https://pandas.pydata.org/pandas-docs/stable/user_guide/io.html#hdf5-pytables for details on this file format.  The software provided in support of this paper also contains examples of how to work with these files.

Software that supports the paper is publicly available on GitHub at https://github.com/unlearnai/representation_learning_for_transcriptomics.
